import { Injectable, EventEmitter } from '@angular/core';
/**
 * A service to create notification, It can be used from any component or guard
 */
var NotificationBarService = /** @class */ (function () {
    function NotificationBarService() {
        this.onCreate = new EventEmitter();
    }
    NotificationBarService.prototype.create = function (notification) {
        this.onCreate.emit(notification);
    };
    NotificationBarService.decorators = [
        { type: Injectable },
    ];
    /** @nocollapse */
    NotificationBarService.ctorParameters = function () { return []; };
    return NotificationBarService;
}());
export { NotificationBarService };
//# sourceMappingURL=notification-bar.service.js.map